#### DECOMPRESS

#### Synopsis

    HELP:   Activate decompression (read) [TRUE]
    TYPE:   SWITCH
    SYNTAX: DECOMPRESS/UNCOMPRESS/D

#### Description

This parameter activates data decompression.

FLAM decompresses lossless data from a compressed file (FLAMFILE) into a target file (FLAMOUT).

A FLAMFILE can be converted during decompression into any file or record format as specified by the user on any system.

FLAM reads a compressed file, decompresses the content and writes the result into an output file.

During decompression the characteristic parameters of the original files are normally restored depending on the information in the file header of the FLAMFILE. To adapt the decompression process to special requirements of the user, it is possible to specify several parameters used in decompression process (e.g. passsword usage against unauthorized access, transformation of file format, code and file name conversion, etc.).

FLAM automatically configures itself the output file and output data according to file header of the FLAMFILE used during compression and possibly specified decompression parameters (e.g., buffer size or record set size ).

That the FLAMFILE eventually was created in a different environment (e.g. different operating system) lacks influence on the decompression operation of FLAM. Data are decompressed into equivalent file or in user defined file formats.

To be even more flexible, FLAM provides user exits that allow the user to apply user defined post data processing.

FLAM creates a job protocol for each execution (on screen or into a log file).

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `DECOMPRESS`
  - `D`
- UNIX
  - `-decompres`
- WINDOWS
  - `decompess`

Values

- No values

Default

- z/OS
  - `COMPRESS`
    Specification is required for DECOMPRESS, otherwise malfunction.
- UNIX/WINOWS
  - none

Valid for

- decompression